Subject: RE: Need help with makefile
From: Paul Kinnucan <[email-masked]>
To: "Nascif Abousalh-Neto" <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sun, 04 Mar 2001 17:19:19 -0500

At 02:17 PM 3/4/2001 -0500, Nascif Abousalh-Neto wrote: 

>
> mkdir -p is what we use at our company. 
> Why is it not sufficient?

I am using cygwin on Windows.  cygwin supports several different methods of
specifying paths, e.g.,

c:/cygwin/home/foo
//c/cygwin/home/foo
/cygdrive/c/cygwin/home/foo
/home/foo      (c:/cygwin/home is mounted as /home)

As it turns out, mkdir -p fails with the path spec I was using
in my makefile, e.g.,

//c/cygwin/home/foo

It seems to work fine with the other versions. So...

Never mind.

- Paul

mkdir -p //c/cygwin/home/foo

>
> > -----Original Message----- 
> > From: Paul Kinnucan
[<mailto:[email-masked]>mailto:[email-masked]]
>
> > Sent: Sunday, March 04, 2001 1:52 PM 
> > To: [email-masked] 
> > Subject: Need help with makefile 
> > 
> > 
> > Hi, 
> > 
> > I am trying to solve a problem with the makefile that builds the JDE 
> > distribution. The problem is that I often need to build the JDE 
> > distribution for a given release multiple times. The first 
> > time I want the 
> > makefile to create the JDE distribution directory, e.g., 
> > 
> > c:/jde-dev/distrib/zip/jde-2.2.7beta3 
> > 
> > On subsequent runs I want the build to simply update the 
> > directory and its 
> > subdirectories without recreating them. The problem is that 
> > mkdir errors 
> > out if the directory already exists. I have tried the mkdir 
> > -p option; it 
> > ignores the directory if it exists but does not create the 
> > directory if it 
> > does not exist. Is there another way to solve this problem? 
> > 
> > - Paul 
> > 

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple